package de.hdm_stuttgart.mi.sda2.usermanage.parse;

public class User {
   
   
   public User(final String passwdLine, int row) 
    throws ParseError {
      
      int csvIndex = 0;
      final String [] components = passwdLine.split(":");
      
      if (7 != components.length) {
         
      }
      
      // row 1
      uid = components[csvIndex++];
      
      csvIndex++; // We ignore the second CSV entry ("x") in row 2
      
      // row 3 
      try {
         uidNumber = Integer.parseInt(components[csvIndex++]);
      } catch (NumberFormatException e) {
         
         throw new ParseError("is not an integer (passwd)", row, csvIndex, components[csvIndex]);
      }

      // row 4
      try {
         gidNumber = Integer.parseInt(components[csvIndex++]);
      } catch (NumberFormatException e) {
         
         throw new ParseError("is not an integer (passwd)", row, csvIndex, components[csvIndex]);
      }
      
      // row 5
      cname = components[csvIndex++];
      
      // row 6
      homeDirectory = components[csvIndex++];
      
      // row 7
      shell= components[csvIndex++];
   }
   
   public final String uid;
   public final int uidNumber;
   public final int gidNumber;
   public final String cname;
   public final String homeDirectory;
   public final String shell;
   
}
